GraphicsMagick 1.3.26 is vulnerable to a memory information disclosure vulnerability found in the DescribeImage function of the magick/describe.c file, because of a heap-based buffer over-read. The portion of the code containing the vulnerability is responsible for printing the IPTC Profile information contained in the image. This vulnerability can be triggered with a specially crafted MIFF file. There is an out-of-bounds buffer dereference because certain increments are never checked.
Published 2017-11-01 15:29:00
Updated 2020-01-08 20:15:12
Source MITRE
View at NVD,   CVE.org
Vulnerability category: Information leak

Exploit prediction scoring system (EPSS) score for CVE-2017-16353

0.25%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 63 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2017-16353

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
4.3
MEDIUM AV:N/AC:M/Au:N/C:P/I:N/A:N
8.6
2.9
NIST
6.5
MEDIUM CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N
2.8
3.6
NIST

CWE ids for CVE-2017-16353

References for CVE-2017-16353

Products affected by CVE-2017-16353

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!